## globre 0.1.5

=== Makefile ===
PKGNAME = globre
include Makefile.python

=== debian/changelog ===
globre (0.1.5-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Remove build-depends python3-nose and python3-coverage
  * Updates for modern Python versions

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 07 Nov 2025 16:14:31 +0700

globre (0.1.5-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Nov 2020 10:10:48 +0100

=== debian/control ===
Source: globre
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/metagriffin/globre
Vcs-Browser: https://gitlab.com/kalilinux/packages/globre
Vcs-Git: https://gitlab.com/kalilinux/packages/globre.git
Testsuite: autopkgtest-pkg-python

Package: python3-globre
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Glob-Like Pattern Matching (Python 3)
 This package contains a module to convert a glob-matching pattern to a regular
 expression, using Apache Cocoon style rules (with some extensions).
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=globre

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%globre-$1.tar.gz%" \
   https://github.com/metagriffin/globre/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
